OSTREE REMOTE(1)

NAME
ostree-remote - Control remote repository configuration

SYNOPSIS

ostree remote add [OPTIONS...] {NAME} {URL} [BRANCH...]

ostree remote delete {NAME}

ostree remote show-url {NAME}

ostree remote list [OPTIONS...] {NAME}

ostree remote gpg-import [OPTIONS...] {NAME} [KEY-ID...]

ostree remote refs {NAME}

ostree remote summary [OPTIONS...] {NAME}

ostree remote add-cookie {NAME} {DOMAIN} {PATH} {COOKIE_NAME} {VALUE}

ostree remote delete-cookie {NAME} {DOMAIN} {PATH} {COOKIE_NAME} {VALUE}

ostree remote list-cookies {NAME}

DESCRIPTION

Changes remote repository configurations. The NAME refers to the name of the remote.

The gpg-import subcommand can associate GPG keys to a specific remote repository for use when pulling signed commits from that repository (if GPG verification is enabled).

The GPG keys to import may be in binary OpenPGP format or ASCII armored. The optional [KEY-ID] list can restrict which keys are imported from a keyring file or input stream. All keys are imported if this list is omitted. If neither --keyring nor --stdin options are given, then keys are imported from the user's personal GPG keyring.

The various cookie related command allow management of a remote specific cookie jar.

ADD OPTIONS

--set="KEY=VALUE"
    Set config option KEY=VALUE for remote.

--no-gpg-verify
    Disable GPG verification.

--gpg-import=FILE
    Import one or more GPG keys from a file.

    Equivalent to ostree remote gpg-import --keyring=FILE.

LIST OPTIONS

-u, --show-urls
    Show remote URLs in list

GPG-IMPORT OPTIONS

-k, --keyring=FILE
    Import one or more keys from a file.

    This option may be repeated to import from multiple files, but may not be used in combination with --stdin.

--stdin
    Import one or more keys from standard input.

    This option may not be used in combination with --keyring.

SUMMARY OPTIONS

--raw
    Show raw variant data

EXAMPLE

$ ostree remote show-url local

            http://192.168.122.1/repo